// *************************************************
// *                                               *
// *  window.C (MP3)                               *
// *                                               *
// *  Implementation for a window class            * 
// *                                               *
// *  Written 13 February 1999 by Jason Zych       *
// *                                               *
// *************************************************

#include <iostream.h>
#include "window.h"


// Window
//    - default constructor
//    - initializes object to have default values
Window::Window()
{
} 


// Window
//    - constructor
//    - parameters : theName - name for menubar of window
//    - initializes object to parameter value 
Window::Window(String theName)
{
   windowName = theName;
} 


// GetName
//    - returns name of window
String Window::GetName()
{
   return windowName;
}


// Draw
//    - "draws" this object to the screen (just a text-based description)
void Window::Draw() 
{
   cout << "Border goes around window!!!" << endl; 
   DrawHelper(); 
}


// Clone
//    - return value : a Window pointer
//    - returns a pointer to a new object of this type
Component* Window::Clone()
{
   return new Window(*this);
}




